Get Customer Account Links by ACCOUNT_ID
GET /obp/v7.0.0/banks/BANK_ID/accounts/ACCOUNT_ID/customer-account-links
OBPv5.0.0-getCustomerAccountLinksByBankIdAccountId Roles: CanGetCustomerAccountLinks(per bank) Customer
Get Customer Account Links by ACCOUNT_ID
User Authentication is Required. The User must be logged in. The Application must also be authenticated.
URL Parameters:
ACCOUNT_ID: 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
BANK_ID: gh.29.uk
JSON response body fields (6)
- account_id
- 8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0
- bank_id
- gh.29.uk
- customer_account_link_id
- xyz8a7e4-6d02-40e3-a129-0b2bf89de8uh
- customer_id
- 7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh
- links
- links
- relationship_type
- Owner
Example success response
{
"links": [
{
"customer_account_link_id": "xyz8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"customer_id": "7uy8a7e4-6d02-40e3-a129-0b2bf89de8uh",
"bank_id": "gh.29.uk",
"account_id": "8ca8a7e4-6d02-40e3-a129-0b2bf89de9f0",
"relationship_type": "Owner"
}
]
}Possible errors (5)
- OBP-20001: User not logged in. Authentication is required!
- OBP-30001: Bank not found. Please specify a valid value for BANK_ID.
- OBP-30018: Bank Account not found. Please specify valid values for BANK_ID and ACCOUNT_ID.
- OBP-20006: User is missing one or more roles:
- OBP-50000: Unknown Error.